#include<fstream>
using namespace std;
int prime(int a)
{
	int i;
	int ok=1;
	for(i=2;i*i<=a;i++)
	{
		if(a%i==0) 
		{
			ok=0;
			break;	
		} 
	}
	return ok;
}
int main()
{
	ifstream f1("TSNT.INP");
	ofstream f2("TSNT.OUT");
	int n;
	f1>>n;
	f1.close();
	f2<<n<<' '<<'='<<' ';
	int i=2;
	///*
	for(i=2;i<=n;i++)
	{
		if(prime(i)!=1) continue;
		else
		{
			while(n%i==0)
			{
				f2<<i;
				n/=i;
				if(n/i==0) break;
				else f2<<'*';
			}	
		} 
		if(n==0) break;
	}//*/
	//f2<<prime(2)<<' '<<prime(3)<<' '<<prime(4);
	f2.close();
	return 0;
}
